### Constructor

# GimpUi IntComboBox new_valist

since: 2.2

#### Declaration [src]

    GtkWidget*
    gimp_int_combo_box_new_valist (
      const gchar* first_label,
      gint first_value,
      va_list values
    )

#### Description [src]

A variant of `gimp_int_combo_box_new()` that takes a va_list of label/value pairs.

Available since: 2.2

This constructor is not directly available to language bindings.

#### Parameters

`first_label`

  Type: `const gchar*`

  The label of the first item.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`first_value`

  Type: `gint`

  The value of the first item.

`values`

  Type: `va_list`

  A va_list with more values.

#### Return value

Type: `GtkWidget`

A new `GimpIntComboBox`.

The data is owned by the called function.